Skip to content
GAMPEONCreate
New project

Change the status of an application

PATCH
/v1/applications/{id}
curl --request PATCH \
--url https://api.gampeon.com/v1/applications/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "status": "new" }'

The team sets shortlisted, accepted or declined (the applicant gets an application_status notification). The applicant can only set withdrawn. Withdrawn applications are deleted after 30 days.

Not available with access tokens.

id
required
integer
>= 1

Application ID

Media typeapplication/json
object
status
required
string
Allowed values: new shortlisted accepted declined withdrawn

Updated

Media typeapplication/json
object
id
required
integer
status
required
string
Allowed values: new shortlisted accepted declined withdrawn

Example

{
"status": "new"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, forbidden

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: withdrawn

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback